## eject 1.4

=== Makefile ===
# Make file for eject

CC	= gcc
LD	= gcc

# for debug
#CFLAGS	= -Wall -g
#LDFLAGS = -g

# for production code
# on a.out systems you might want to add -N when linking
CFLAGS	= -Wall -O3
LDFLAGS = -s

eject:	eject.o
	$(LD) $(LDFLAGS) -o eject eject.o

eject.o: eject.c
	$(CC) $(CFLAGS) -c eject.c

# you may prefer to install program in /usr/bin or /usr/local/bin or
# even /sbin
# you may also want to install it setuid root (see man page)
install: eject
	install -m 555 eject /usr/local/bin/eject
	install -m 444 eject.1 /usr/local/man/man1/eject.1
	@if [ -f /usr/bin/eject ]; then echo "Note: There is another version of eject in /usr/bin"; fi
	@if [ -f /sbin/eject ]; then echo "Note: There is another version of eject in /sbin"; fi

clean:
	$(RM) eject eject.o core *~

dist:	eject.c Makefile eject.1 README
	$(RM) eject eject.o core eject-1.4.tar.gz *~
	cd .. ; tar -czvf eject-1.4.tar.gz eject-1.4

## eject 1.5

=== Makefile ===
--- 
+++ 
@@ -31,5 +31,5 @@
 	$(RM) eject eject.o core *~
 
 dist:	eject.c Makefile eject.1 README
-	$(RM) eject eject.o core eject-1.4.tar.gz *~
-	cd .. ; tar -czvf eject-1.4.tar.gz eject-1.4
+	$(RM) eject eject.o core eject-1.5.tar.gz *~
+	cd .. ; tar -czvf eject-1.5.tar.gz eject-1.5

## eject 2.0.2

=== Makefile ===
# Make file for eject

# Default device to eject. Can be a partial name such as "cdrom" or
# a full device name such as "/dev/sda4".
DEFAULTDEVICE = \"cdrom\"

# Location to install binary. Default is /usr/local/bin. You may
# prefer to install it in /usr/bin or /sbin
BINDIR	= /usr/local/bin
#BINDIR=/usr/bin
#BINDIR=/usr/sbin

# Location to install man page. Default is /usr/local/man. You may
# prefer to install it in /usr/man
MANDIR	= /usr/local/man
#MANDIR	= /usr/man

# File permissions for binary. Use MODE=4555 if you want to install it
# setuid root (see man page).
MODE	= 555
#MODE	= 4555

# Compiler to use
CC	= gcc

# Linker to use
LD	= gcc

# Preprocessor options
# Define -DGETOPTLONG if you have GNU getopt_long()
# -I options are needed for some systems that do not have /usr/include/scsi
CPPFLAGS = -I/usr/src/linux -I/usr/src/linux/include -DDEFAULTDEVICE=$(DEFAULTDEVICE) -DGETOPTLONG

# Compile and link options
# On a.out systems you might want to add -N when linking
# RPM_OPT_FLAGS can be set by rpm tool
# ...For production code
CFLAGS	= -Wall -O3 $(RPM_OPT_FLAGS)
LDFLAGS = -s
# ...For debug
#CFLAGS	= -Wall -g
#LDFLAGS = -g

eject:	eject.o
	$(LD) $(LDFLAGS) -o eject eject.o

eject.o: eject.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -c eject.c

install: eject
	install -m $(MODE) eject $(BINDIR)/eject
	install -m 444 eject.1 $(MANDIR)/man1/eject.1
	@for dir in /bin /usr/bin /sbin /usr/sbin /usr/local/bin /usr/local/sbin ; do \
	  test $(BINDIR) = $$dir  && continue ; \
	  if [ -x $$dir/eject ] ; then  \
	    echo "Note: There is another version of eject in $$dir" ; \
	  fi ; \
	done

clean:
	$(RM) eject eject.o core *~

ci:	clean
	-ci -l *

dist:	clean
	cd .. ; tar --exclude RCS -czvf eject-2.0.2.tar.gz eject-2.0.2

## eject 2.0.3

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,7 @@
 # Make file for eject
+
+# to be overidden when building Debian packages
+DESTDIR =
 
 # Default device to eject. Can be a partial name such as "cdrom" or
 # a full device name such as "/dev/sda4".
@@ -47,9 +50,15 @@
 eject.o: eject.c
 	$(CC) $(CPPFLAGS) $(CFLAGS) -c eject.c
 
+volname: volname.o
+	$(LD) $(LDFLAGS) -o volname volname.o
+
+volname.o: volname.c
+	$(CC) $(CPPFLAGS) $(CFLAGS) -c volname.c
+
 install: eject
-	install -m $(MODE) eject $(BINDIR)/eject
-	install -m 444 eject.1 $(MANDIR)/man1/eject.1
+	install -D -m $(MODE) eject $(DESTDIR)$(BINDIR)/eject
+	install -D -m 444 eject.1 $(DESTDIR)$(MANDIR)/man1/eject.1
 	@for dir in /bin /usr/bin /sbin /usr/sbin /usr/local/bin /usr/local/sbin ; do \
 	  test $(BINDIR) = $$dir  && continue ; \
 	  if [ -x $$dir/eject ] ; then  \
@@ -58,10 +67,11 @@
 	done
 
 clean:
-	$(RM) eject eject.o core *~
-
-ci:	clean
-	-ci -l *
+	$(RM) eject eject.o volname volname.o core *~
+	$(RM) -r debian/tmp
 
 dist:	clean
-	cd .. ; tar --exclude RCS -czvf eject-2.0.2.tar.gz eject-2.0.2
+	cd .. ; tar --exclude RCS -czvf eject-2.0.3.tar.gz eject-2.0.3
+
+deb:	eject
+	fakeroot debian/rules binary

## eject 2.0.13deb-18ubuntu4

=== debian/control ===
Source: eject
Section: utils
Priority: optional
Build-Depends: gettext, debhelper (>= 4.2), dpkg-dev (>= 1.13.2), libdevmapper-dev
Maintainer: Frank Lichtenheld <djpig@debian.org>
Standards-Version: 3.6.2

Package: eject
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: cdtool, setcd
Description: ejects CDs and operates CD-Changers under Linux
 This little program will eject CD-ROMs (assuming your drive supports
 the CDROMEJECT ioctl). It also allows setting the autoeject feature.
 .
 On supported ATAPI/IDE multi-disc CD-ROM changers, it allows changing
 the active disc.
 .
 You can also use eject to properly disconnect external mass-storage
 devices like digital cameras or portable music players.

Package: eject-udeb
Section: debian-installer
XC-Package-Type: udeb
XB-Installer-Menu-Item: 960
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: ejects CDs from d-i menu

## eject 2.1.5

=== po/Makefile ===
PKGNAME=eject
PREFIX=$(DESTDIR)/usr
INSTALL = install
MODIR = $(PREFIX)/share/locale
POTFILES = ../*.c ../*.h
POFILES= de.po es.po fr.po ja.po tr.po zh_TW.po pt_BR.po cs_CZ.po

all:

fix-po-files:
	mv de_DE.po de.po
	mv es_ES.po es.po
	mv fr_FR.po fr.po
	mv ja_JP.eucJP.po ja.po
	mv tr_TR.po tr.po
	mv zh_TW.UTF-8.po zh_TW.po

restitute-po-files:
	mv de.po de_DE.po
	mv es.po es_ES.po
	mv fr.po fr_FR.po
	mv ja.po ja_JP.eucJP.po
	mv tr.po tr_TR.po
	mv zh_TW.po zh_TW.UTF-8.po

mo:
	files='$(POFILES)'; \
	for file in $$files;do \
	  echo compiling $$LOCALENAME ; \
	  msgfmt $$file -o `echo $$file |sed 's/\.po$$/.mo/g'`; \
	done

install:
	$(MAKE) fix-po-files
	$(MAKE) mo
	files='$(POFILES)'; \
	for file in $$files;do \
	  LOCALENAME=`echo $$file |sed 's/\.po$$//g'`; \
	  echo installing $$LOCALENAME ; \
	  MOPATH=$(MODIR)/$$LOCALENAME/LC_MESSAGES; \
	  if [ ! -d $$MOPATH ] ;then  \
	     mkdir -p $$MOPATH; \
	  fi; \
	  cp $$LOCALENAME.mo $$MOPATH/$(PKGNAME).mo; \
	done
	$(MAKE) restitute-po-files

pot:
	xgettext --keyword=_ --keyword=N_ $(POTFILES) -o $(PKGNAME).pot

merge:
	for i in *.po;do \
	   NN=`echo $$i |sed "s/\.po$$//g"` ;\
	   echo $$i $$NN ;\
	   msgmerge $$i $(PKGNAME).pot -o $$i.tmp.$$ && mv -vf $$i.tmp.$$ $$i;\
	done

clean:
	rm -fv *.mo

distclean: clean

distdir:

## eject 2.1.5%2Bdeb1%2Bcvs20081104

=== debian/changelog ===
eject (2.1.5+deb1+cvs20081104-14) unstable; urgency=medium

  * QA upload.

  [ Gianfranco Costamagna ]
  * Forgot to push the eject.c changes, this is the complete upload 13.1

  [ Petter Reinholdtsen ]
  * Added d/gbp.conf to enforce the use of pristine-tar.
  * Migrated git repo to salsa.  Updated d/control with new Vcs links.
  * Replaced broken homepage in d/control with one found on Sourceforge.
  * Change maintainer to QA group, as current maintainer is no longer
    active.  Many thanks to Frank Lichtenheld.
  * Updated debhelper version from 9 to 10.
  * Changed source to 3.0 (quilt) format and moved changes to
    2000-version-2.1.5+deb1+cvs20081104-13.1.patch.
  * Ask dh to use autoreconf to get source building.
  * Updated Standards-Version from 3.9.3 to 4.3.0.
  * Added Tajik (tg) debconf translation by Victor Ibragimov (Closes: #890079).
  * Updated Norwegian Bokmål (nb) debconf translation by Petter
    Reinholdtsen (Closes: #923919).

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 08 Jul 2019 08:40:51 +0000

eject (2.1.5+deb1+cvs20081104-13.1) unstable; urgency=low

  [ Ankit Sinha ]
  * Non-maintainer upload.
  * eject now iterates through /dev/device_name[0-9]
    (LP: #795239, Closes: #719110)

  [ Bart Martens ]
  * debian/rules: Create directory debian/eject-udeb if it doesn't exist yet.

 -- Gianfranco Costamagna <costamagnagianfranco@yahoo.it>  Fri, 14 Feb 2014 22:17:11 +0100

eject (2.1.5+deb1+cvs20081104-13) unstable; urgency=low

  [ Christian Perrier ]
  * Debconf translations:
    - Kannada (Mallikarjuna).  Closes: #694409

  [ Frank Lichtenheld ]
  * debian/rules: Set CC correctly if cross-building.
    Patch by Colin Watson.  Closes: #694837

 -- Frank Lichtenheld <djpig@debian.org>  Sun, 23 Dec 2012 23:30:02 +0100

eject (2.1.5+deb1+cvs20081104-12) unstable; urgency=low

  [ Christian Perrier ]
  * Debconf translations:
    - Serbian (Karolina Kalic).  Closes: #691286
    - Serbian Latin (Karolina Kalic).  Closes: #691287

 -- Frank Lichtenheld <djpig@debian.org>  Fri, 23 Nov 2012 23:55:16 +0100

eject (2.1.5+deb1+cvs20081104-11) unstable; urgency=low

  [ Christian Perrier ]
  * Debconf translations:
    - Slovenian (Vanja Cvelbar).  Closes: #670618
    - Latvian (Rūdolfs Mazurs).  Closes: #674693
    - Welsh (Daffyd Tomos).

  [ Frank Lichtenheld ]
  * Declare Multi-Arch: foreign. Requested by Helmut Grohne.
    Closes: #676780
  * Use dpkg-buildflags for hand-built dmcrypt-get-device, too.
  * Use hardening=+all
  * Added build dependency on dpkg-dev (>= 1.16.1~) for the changes
    above
  * Bump Standards-Version to 3.9.3 (no changes)

 -- Frank Lichtenheld <djpig@debian.org>  Mon, 25 Jun 2012 01:29:01 +0200

eject (2.1.5+deb1+cvs20081104-10) unstable; urgency=low

  [ Christian Perrier ]
  * Debconf translations:
    - Serbian Latin (Janos Guljas).  Closes: #600141
    - Ukrainian (Anton Gladky).  Closes: #654298 

  [ Frank Lichtenheld ]
  * Fix handling of mount points with spaces in name again,
    got broken when importing upstream patches.
  * Always send ioctl to main device file, not partitions.
    Thanks to Kristof Provost. Closes: #659904

 -- Frank Lichtenheld <djpig@debian.org>  Mon, 20 Feb 2012 01:07:09 +0100

eject (2.1.5+deb1+cvs20081104-9) unstable; urgency=low

  [ Christian Perrier ]
  * Debconf translations:
    - Nepali (Nabin Gautam).  Closes: #614691
    - Sinhala (Danishka Navin).  Closes: #640758, #640936

  * Program translations:
    - Danish (Joe Hansen). Closes: #626731

  [ Frank Lichtenheld ]
  * Debconf translations:
    - Uyghur (Sahran). Closes: #627010
  * Bump Standards-Version to 3.9.2 (no changes)
  * Bump debian/compat to 9

 -- Frank Lichtenheld <djpig@debian.org>  Fri, 02 Dec 2011 21:55:35 +0100

eject (2.1.5+deb1+cvs20081104-8) unstable; urgency=low

  * Bump Standards-Version to 3.9.1:
    - Use kfreebsd-any in Build-Depends
  * Convert debian/rules to use dh
  * Apply patch to avoid -X side-effects by Adam Buchbinder.
    Fixes Ubuntu bug #136971
  * Import openSUSE patches by Anna Bernáthová:
    - use CDROM_DRIVE_STATUS in toggle (bnc#374526)
    - check host_status and driver_status when using SG_IO (bnc#358033)
  
  * Program translations:
    - Slovenian (Andrej Znidarsic). Closes: #603674
    - Portuguese (Américo Monteiro). Closes: #567898

 -- Frank Lichtenheld <djpig@debian.org>  Sat, 19 Feb 2011 19:47:14 +0100

eject (2.1.5+deb1+cvs20081104-7.1) unstable; urgency=low

  * Non-maintainer upload to fix pending debconf translations
    (Debian Installer menu entries)
  * Debconf translations:
    - Simplified Chinese (Ming Hua).
    - Persian (Vahid Ghaderi).  Closes: #587021
    - Kazakh (Sarsenov D.).  Closes: #587101
    - Bosnian (Armin Beširović).  Closes: #587101
    - Icelandic (Sveinn í Felli).
    - Serbian (Janos Guljas).  Closes: #600140
    - Greek (Kostas Papadimas).  Closes: #604450
    - Italian updated (Milo Casagrande).  Closes: #559505

 -- Christian Perrier <bubulle@debian.org>  Sun, 19 Dec 2010 09:13:58 +0100

eject (2.1.5+deb1+cvs20081104-7) unstable; urgency=low

  [ Christian Perrier ]
  * Debconf translations:
    - Bengali added.
    - Telugu (Veeven) added.  Closes: #544043

  [ Frank Lichtenheld ]
  * Bump Standards-Version to 3.8.2 (no changes)

  * Program translations:
    - Italian updated. Closes: #534349

 -- Frank Lichtenheld <djpig@debian.org>  Mon, 26 Oct 2009 17:43:50 +0100

eject (2.1.5+deb1+cvs20081104-6) unstable; urgency=low

  * Only try to open the device read/write if not root.
    (Partly addresses #522859)

  * Bump Standards-Version to 3.8.1 (no changes)

  * Program translations:
    - Swedish updated. Closes: #517512 

 -- Frank Lichtenheld <djpig@debian.org>  Sun, 19 Apr 2009 01:33:10 +0200

eject (2.1.5+deb1+cvs20081104-5) unstable; urgency=low

  * Upload to unstable.

 -- Frank Lichtenheld <djpig@debian.org>  Sat, 21 Feb 2009 16:17:28 +0100

eject (2.1.5+deb1+cvs20081104-4) experimental; urgency=low



=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DEB_HOST_ARCH_CPU  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
DEB_HOST_ARCH_OS   ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
CC := $(DEB_HOST_GNU_TYPE)-gcc
endif

ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
ifeq ($(DEB_HOST_ARCH_CPU),m68k)
CFLAGS += -Os
else
CFLAGS += -Os -fomit-frame-pointer
endif
endif

ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
cdrom		=	--enable-default-device=acd0
nodevmapper	=	1
endif

deb_dir		=	debian/eject
udeb_dir	=	debian/eject-udeb

%:
	dh $@ --with=autotools-dev,autoreconf

override_dh_auto_build:
	dh_auto_build
ifeq (,$(nodevmapper))
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) dmcrypt-get-device.c -o dmcrypt-get-device -ldevmapper
endif

override_dh_auto_configure:
	dh_auto_configure -- $(cdrom)

override_dh_clean:
	dh_clean dmcrypt-get-device

override_dh_auto_install:
	$(MAKE) install mandir=/usr/share/man DESTDIR=$(CURDIR)/$(deb_dir)
	[ -d $(udeb_dir) ] || mkdir $(udeb_dir)
	cp -a $(deb_dir)/usr $(udeb_dir)/
	rm -fr $(udeb_dir)/usr/share/man

ifeq (,$(nodevmapper))
	install -D -m 4755 dmcrypt-get-device $(deb_dir)/usr/lib/eject/dmcrypt-get-device
endif

override_dh_fixperms:
	dh_fixperms -a -Xdmcrypt-get-device

override_dh_auto_test:

## eject 2.1.5+deb1+cvs20081104

=== debian/changelog ===
eject (2.1.5+deb1+cvs20081104-15) unstable; urgency=medium

  [ Petter Reinholdtsen ]
  * Split translation part of Debian changes into 1000-translations.patch.
  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Drop use of autotools-dev debhelper.
  * Update standards version to 4.4.1, no changes needed.
  * Bump debhelper from old 10 to 12.
  * Drop unnecessary dependency on dh-autoconf.
  * Replace XC-Package-Type with Package-Type.
  * Use canonical URL in Vcs-Browser.
  * Rely on pre-initialized dpkg-architecture variables.
  [ 肖盛文 ]
  * d/control:
    Bumped Standards-Version to 4.5.0
    add Build-Depends: debhelper (>= 12)
    delete lintian useless-autoreconf-build-depends: autotools-dev
    +Rules-Requires-Root: no
  * Fixs lintian:
    unused-file-paragraph-in-dep5-copyright
    wildcard-matches-nothing-in-dep5-copyright
    executable-in-usr-lib usr/lib/eject/dmcrypt-get-device
  * delete the outdated watch url
  * add debian/manpages
  * add debian/install
  * add debian/eject-udeb.install
  * d/rules:
    use install files
    use manpages
    deleted no use deb_dir udeb_dir env variables
    add dh_dwz for udeb packages
  * New maintainer (Closes: #924444)

 -- xiao sheng wen <atzlinux@sina.com>  Thu, 30 Apr 2020 20:01:26 +0800

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,22 @@
 Source: eject
 Section: utils
 Priority: optional
-Build-Depends: gettext, debhelper (>= 4.2), dpkg-dev (>= 1.13.2), libdevmapper-dev
-Maintainer: Frank Lichtenheld <djpig@debian.org>
-Standards-Version: 3.6.2
+Build-Depends: debhelper (>= 12),
+ debhelper-compat (= 12),
+ gettext,
+ dpkg-dev (>= 1.16.1~),
+ libdevmapper-dev [!kfreebsd-any],
+ libsgutils2-dev,
+Maintainer: xiao sheng wen <atzlinux@sina.com>
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/debian/eject.git
+Vcs-Browser: https://salsa.debian.org/debian/eject
+Homepage: http://eject.sourceforge.net/
 
 Package: eject
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: cdtool, setcd
 Description: ejects CDs and operates CD-Changers under Linux
@@ -21,8 +31,8 @@
 
 Package: eject-udeb
 Section: debian-installer
-XC-Package-Type: udeb
-XB-Installer-Menu-Item: 960
+Package-Type: udeb
+XB-Installer-Menu-Item: 96000
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: ejects CDs from d-i menu

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
CC := $(DEB_HOST_GNU_TYPE)-gcc
endif

ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
ifeq ($(DEB_HOST_ARCH_CPU),m68k)
CFLAGS += -Os
else
CFLAGS += -Os -fomit-frame-pointer
endif
endif

ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
cdrom		=	--enable-default-device=acd0
nodevmapper	=	1
endif


%:
	dh $@

override_dh_auto_build:
	dh_auto_build
ifeq (,$(nodevmapper))
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) dmcrypt-get-device.c -o dmcrypt-get-device -ldevmapper
endif

override_dh_auto_configure:
	dh_auto_configure -- $(cdrom)

override_dh_clean:
	dh_clean dmcrypt-get-device

override_dh_fixperms:
	dh_fixperms -a -Xdmcrypt-get-device
	chmod 4755 debian/eject/usr/lib/eject/dmcrypt-get-device

override_dh_dwz:
	dh_dwz -Xdebian/eject-udeb

override_dh_auto_test:

=== debian/watch ===
version=3

http://www.ibiblio.org/pub/Linux/utils/disk-management/eject-(.*)\.tar\.gz
